> For the complete documentation index, see [llms.txt](https://api-docs.nf.domains/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.nf.domains/reference/integrators-guide/expirations-mbr-liquidation.md).

# Expirations  / MBR liquidation

In order for someone to become the new owner of an NFD once it has expired, all metadata must first be cleared.  This is similar to listing an NFD for sale, where all metadata must first be cleared.

An exception with expired NFDs, is that ANYONE can clear the metadata of an NFD if its expired.  Anything deleting the fields of an NFD via the new `deleteFields` ABI call, will receive the MBR held by the box storage being freed.  The same applies to calling the registry to `unlinkNfdAddress` method - returning the box storage MBR if no data remains once unlinking.

This allows a type of 'liquidation' feature where on-chain NFD data can be cleared once the NFD expires by providing an incentive for anyone to take advantage of.

If an NFD isn't cleared, then the UI adds deleteField calls prior to the renew so that the new owner is able to claim the expired NFD.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.nf.domains/reference/integrators-guide/expirations-mbr-liquidation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
